Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.StdEncryptData Class Reference

Inherits FoxitPDFSDKPython3._object.

## Public Member Functions
def | StdEncryptData (is_encrypt_metadata, user_permissions, cipher, key_length)
| Constructor, with parameters. More...
def | StdEncryptData ()
| Constructor.
def | StdEncryptData (other)
| Constructor, with another standard encrypt data object. More...
def | Set (is_encrypt_metadata, user_permissions, cipher, key_length)
| Set value. More...

## Static Public Attributes
| cipher = _fsdk.StdEncryptData_cipher
| Cipher type. Please refer to values starting from FoxitPDFSDKPython3.SecurityHandler.e_CipherRC4 and this should be one of these values except FoxitPDFSDKPython3.SecurityHandler.e_CipherNone .
| is_encrypt_metadata = _fsdk.StdEncryptData_is_encrypt_metadata
| A boolean value to decide whether to encrypt metadata or not. true means to encrypt metadata, and false means not to encrypt metadata.
| key_length = _fsdk.StdEncryptData_key_length
| The key length, in bytes. More...
| user_permissions = _fsdk.StdEncryptData_user_permissions
| The user permissions. Please refer to values starting from FoxitPDFSDKPython3.PDFDoc.e_PermPrint and this should be one or combination of these values.

## Detailed Description

This class represents some data used for class StdSecurityHandler .

## Constructor & Destructor Documentation

## ◆ StdEncryptData() [1/2]

def FoxitPDFSDKPython3.StdEncryptData.StdEncryptData | ( |  | is_encrypt_metadata,
|  |  | user_permissions,
|  |  | cipher,
|  |  | key_length
| ) |  |

Constructor, with parameters.

Parameters

  [in] | is_encrypt_metadata | true means to encrypt metadata, and false means not to encrypt metadata.
  [in] | user_permissions | The user permissions. Please refer to values starting from FoxitPDFSDKPython3.PDFDoc.e_PermPrint and this should be one or combination of these values.
  [in] | cipher | Cipher type. Please refer to values starting from FoxitPDFSDKPython3.SecurityHandler.e_CipherRC4 and this should be one of these values except FoxitPDFSDKPython3.SecurityHandler.e_CipherNone .
  [in] | key_length | The key length, in bytes. For FoxitPDFSDKPython3.SecurityHandler.e_CipherRC4 cipher, this value should be between 5 and 16. The preferred one should be 16. For FoxitPDFSDKPython3.SecurityHandler.e_CipherAES cipher, this value should be 16 (as AES-128) or 32 (as AES-256, only supported in PDF 2.0).

## ◆ StdEncryptData() [2/2]

def FoxitPDFSDKPython3.StdEncryptData.StdEncryptData | ( |  | other | ) |

Constructor, with another standard encrypt data object.

Parameters

  [in] | other | Another standard encrypt data object.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython3.StdEncryptData.Set | ( |  | is_encrypt_metadata,
|  |  | user_permissions,
|  |  | cipher,
|  |  | key_length
| ) |  |

Set value.

Parameters

  [in] | is_encrypt_metadata | true means to encrypt metadata, and false means not to encrypt metadata.
  [in] | user_permissions | The user permissions. Please refer to values starting from FoxitPDFSDKPython3.PDFDoc.e_PermPrint and this should be one or combination of these values.
  [in] | cipher | Cipher type. Please refer to values starting from FoxitPDFSDKPython3.SecurityHandler.e_CipherRC4 and this should be one of these values except FoxitPDFSDKPython3.SecurityHandler.e_CipherNone .
  [in] | key_length | The key length, in bytes. For FoxitPDFSDKPython3.SecurityHandler.e_CipherRC4 cipher, this value should be between 5 and 16. The preferred one should be 16. For FoxitPDFSDKPython3.SecurityHandler.e_CipherAES cipher, this value should be 16 (as AES-128) or 32 (as AES-256, only supported in PDF 2.0).

Returns
  None.

## Member Data Documentation

## ◆ key_length

FoxitPDFSDKPython3.StdEncryptData.key_length = _fsdk.StdEncryptData_key_length
| static

The key length, in bytes.

- For FoxitPDFSDKPython3.SecurityHandler.e_CipherRC4 cipher, this value should be between 5 and 16. The preferred one should be 16.

- For FoxitPDFSDKPython3.SecurityHandler.e_CipherAES cipher, this value should be 16 (as AES-128) or 32 (as AES-256, only supported in PDF 2.0).